## @id $Id$
#
# This file has been added by bootstrap.sh on Mon, 04 May 2015 16:01:56 +0200
# Feel free to change it or even remove and rebuild it, up to your needs
#
##       1         2         3         4         5         6         7         8
## 45678901234567890123456789012345678901234567890123456789012345678901234567890

# change this:
m4_define(x_package_name, webtester) # project's name
m4_define(x_major, 3) # project's major version
m4_define(x_minor, 1) # project's minor version
m4_define(x_least_diff, 129)

# never edit this block:
m4_include(ax_init_standard_project.m4)
AC_INIT(x_package_name, x_version, x_bugreport, x_package_name)
AM_INIT_AUTOMAKE([1.9 tar-pax])
AX_INIT_STANDARD_PROJECT

# requirements, uncomment, what you need:
AX_USE_CXX_11
#AX_USE_LIBTOOL
AX_USE_SCRIPTS
AX_USE_DOXYGEN
AX_USE_DEBIAN_PACKAGING([utils])
AX_USE_RPM_PACKAGING([Development/Tools])
#AX_USE_CPPUNIT
AX_BUILD_TEST
#AX_BUILD_EXAMPLES
AX_USE_ETC

# language requirements
AX_CXX_COMPILE_STDCXX([17], [noext], [mandatory])
export QT_SELECT=5
AC_SUBST(QT_SELECT)

# qt features
AX_REQUIRE_QT([QT], [QtCore QtGui QtNetwork QtWebKit], [QtWidgets QtWebKitWidgets])
AM_CPPFLAGS="${AM_CPPFLAGS} -DQT_NO_KEYWORDS"

# libraries used
AX_PKG_REQUIRE([mrwcxx], [mrw-c++])
AX_PKG_REQUIRE([xmlcxx], [libxml-cxx])
AC_CHECK_HEADERS([cxxabi.h])

# create output
AX_OUTPUT
